Bug 186404 - sysutils/moosefs-master: Fix default conf path for MooseFS-Master
Summary: sysutils/moosefs-master: Fix default conf path for MooseFS-Master
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks: 143791
  Show dependency treegraph
 
Reported: 2014-02-03 11:30 UTC by l_fs
Modified: 2014-07-12 08:17 UTC (History)
2 users (show)

See Also:


Attachments
port.diff (732 bytes, patch)
2014-02-03 11:30 UTC, l_fs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description l_fs 2014-02-03 11:30:00 UTC
The default path of conf files was bad in the Makefile : /usr/local/etc/ instead of /usr/local/etc/mfs/ , and I add the automatic copy, with a security check, from /var/mfs/metadata.mfs.empty to /var/mfs/metadat.mfs

How-To-Repeat: cd /usr/ports/sysutils/moosefs-master && make install && mfsmaster
Comment 1 Edwin Groothuis freebsd_committer 2014-02-06 04:36:52 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-06 04:36:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-02-06 04:36:53 UTC
Maintainer of sysutils/moosefs-master,

Please note that PR ports/186404 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186404

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 chifeng 2014-02-07 02:12:14 UTC
Please commit, thanks for fixing it.

-- 
*Regards.*
- Chifeng
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-02-07 06:02:02 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 commit-hook freebsd_committer 2014-07-12 08:06:06 UTC
A commit references this bug:

Author: marino
Date: Sat Jul 12 08:05:27 UTC 2014
New revision: 361602
URL: http://svnweb.freebsd.org/changeset/ports/361602

Log:
  sysutils/moosefs-master: Fix default conf path for master port

  The default path was PREFIX/etc but should be PREFIX/etc/mfs .
  This PR is getting submitted before the stage support PR.

  PR:		186404
  Submitted by:	loic (findspire.com)
  Approved by:	maintainer (chifeng)
  Approved by:	portmgr (implicit, NOT_STAGED)

Changes:
  head/sysutils/moosefs-master/Makefile
  head/sysutils/moosefs-master/bsd.port.moosefs.mk
Comment 7 John Marino freebsd_committer 2014-07-12 08:15:47 UTC
Note this this whole patch will be undone by patch in bug 191046 .
Comment 8 John Marino freebsd_committer 2014-07-12 08:17:45 UTC
Which is a good thing because the patch was bad:

> === Checking filesystem state after all packages deleted
> ================================================================
> list of extra files and directories in / (not present on clean system but present after everything was deinstalled)
>   8516        8 drwxr-xr-x    2 root             wheel                 256 Jul 12 08:06 usr/local/etc/mfs
>  14984        8 -r--r--r--    1 root             wheel                 998 Jul 12 08:06 usr/local/etc/mfs/mfsmaster.cfg
>  14986        8 -r--r--r--    1 root             wheel                 403 Jul 12 08:06 usr/local/etc/mfs/mfsmetalogger.cfg
>  14985        8 -r--r--r--    1 root             wheel                4060 Jul 12 08:06 usr/local/etc/mfs/mfsexports.cfg
>  14987        8 -r--r--r--    1 root             wheel                1123 Jul 12 08:06 usr/local/etc/mfs/mfstopology.cfg